WARNINGS
========

In the `files/monitoring/clusternode` directory checks have been renamed with .old extension, this is due a bug in my code that don't let the variable get expanded, still figuring out. 
I renamed so will not screw up old installation, will be fixed asap. 

Introduction
============
This repository contains the ansible module to setup a single node Squirro installation including both the clusternode as well as storagende. It currently supports both the offline as well as the online mode of installation.

Usage
=====
* Make sure that this repository is present on the target machine to be deployed and ansible is available on the target machine.
* Set up the `squirro_install_mode` variable in `group_vars/stable-centos-7.yml` file.
* For `offline` install mode, specify the full path for the Squirro packages tar.gz under `squirro_packages_tar` variable in `group_vars/stable-centos-7.yml` file.
* For `online` install mode, specify the `yum_user` and `yum_password` variables for Squirro mirror. You can reach out to Squirro support to get your own login
* Run the following ansible command.

    ansible-playbook -i inventory.yml playbook.yml --skip monitoring


Role Variables
--------------

The deployed user list can be found on `vars/main.yaml` at the moment the passwords are not set, in the near future they should be on a vault file, possibly outside of the role, for publishing purposes. 

Other variables you might want to set are 

vars file: 

    squirro_clusternode: True|False  #define the node as a clusternode 
    squirro_storagenode: True|False  #define the node as a storagenode
    squirro_reinstall: True|False  #define the node as need to support uninstall and reinstall of squirro cluster and storage nodes
    redis_password: <string>
    yum_user: <string>
    yum_password: <string>
    squirro_clusternode: <string>
    squirro_token: <string>
    squirro_project_id: <string>
    elasticsearch_heap: 2g

defaults/main.yaml file: 

    squirro_channel: stable
    elasticsearch_public: false
    elasticsearch_allowed_hosts: []
    elasticsearch_data_dir: "/var/lib/elasticsearch"

you can download the role in the following way into the specific customer project folder 

file requirements.yaml 
    
    - src: git@github.com:squirro/squirro-ansible.git
      scm: git 
      version: role

install it with the following command `ansible-galaxy install -r requirements.yaml -p <role_dir>`

Dependencies
------------

Example Playbook
----------------

License
-------

BSD

Author Information
------------------

Andrea Ferraresi <andrea@squirro.com>
Patrice Neff     <pneff@squirro.com>
